Subject: Re: [RFC/GSoC] Introduction

From: Matthieu Moy <[email-masked]>
Date: Sun, 20 Mar 2016 21:28:58 +0100

Junio C Hamano <[email-masked]> writes:

> Lars Schneider <[email-masked]> writes:
>
>> On 14 Mar 2016, at 07:57, Junio C Hamano <[email-masked]> wrote:
>>
>>> I recall back in the days when people said that Hg's command set was
>>> so much more pleasant to use that some people thought about building
>>> Hg's command line UI on top of low level implementation of the Git's
>>> data structure....
>>> ...
>>
>> I think a "ggit" wrapper should not introduce any new commands or
>> new parameters. Everything should be passed unmodified to Git.
>> The wrapper would only add additional warnings...
>
> Somehow I was assuming that you are aiming for a more ambitious
> project, where the users get an easier-to-learn-and-understand
> command line UI experience than bare Git [*1*],

I think the proposed approach makes much more sense, at least because:

* At some point, ggit users should become git users and the transition
  should be smooth.

* ggit users will find advices/documentation/tutorials here and there on
  the web, or talk to their friends who use git, and they want this
  information to apply to ggit.

Also, having an alternative UI sometimes serves as an excuse not to
improve git's UI itself. If git's behavior is dangerous, ggit can warn
about it. If git's behavior is broken, then we should repair it.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/